---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Access Level - Chargers

Set or delete access level for specified chargers.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Site",
      "x-displayName": "Site"
    }
  ],
  "paths": {
    "/api/sites/{siteId}/chargers/level_of_access": {
      "put": {
        "tags": [
          "Site"
        ],
        "summary": "Access Level - Chargers",
        "description": "Set or delete access level for specified chargers.",
        "operationId": "Site_SetAccessLevelForChargers",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "required": true,
            "description": "Site ID",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "chargerAccessLevels",
          "description": "Chargers with Access Level",
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/Access_Control_API_ChargerAccessDTO"
                }
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "200": {
            "description": "200 status if successfully linked or unlinked chargers"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Access_Control_API_LevelOfAccess": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Open",
          "EaseeAccounts",
          "SpecificUsers"
        ],
        "enum": [
          1,
          2,
          3
        ]
      },
      "Access_Control_API_ChargerAccessDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "chargerId": {
            "type": "string",
            "nullable": true
          },
          "levelOfAccess": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Access_Control_API_LevelOfAccess"
              }
            ]
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```